Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Namespaces | Typedefs
range_adaptor.hpp File Reference

## Classes
struct | ranges::v3::adaptor_base
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >
struct | ranges::v3::adaptor_cursor< BaseIter, Adapt >::mixin
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >
struct | ranges::v3::adaptor_sentinel< BaseSent, Adapt >::mixin
struct | ranges::v3::range_adaptor< Derived, BaseRng, Cardinality >

## Namespaces
| ranges::v3
| Protect a callable so that it can be safely used in a bind expression without accidentally becoming a "nested" bind.

## Typedefs
template<typename D >
using | ranges::v3::adaptor_cursor_t = adaptor_cursor< detail::adapted_iterator_t< D >, detail::begin_adaptor_t< D >>
template<typename D >
using | ranges::v3::adaptor_sentinel_t = meta::if_< meta::and_< Same< detail::adapted_iterator_t< D >, detail::adapted_sentinel_t< D >>, Same< detail::begin_adaptor_t< D >, detail::end_adaptor_t< D >>>, adaptor_cursor< detail::adapted_iterator_t< D >, detail::begin_adaptor_t< D >>, adaptor_sentinel< detail::adapted_sentinel_t< D >, detail::end_adaptor_t< D >>>
template<typename Derived >
using | ranges::v3::base_range_t = meta::eval< range_access::base_range< Derived >>
template<typename Derived >
using | ranges::v3::range_adaptor_t = meta::eval< range_access::range_adaptor< Derived >>